##### basic_readable_pipe::basic_readable_pipe (2 of 6 overloads)

Construct a `basic_readable_pipe` without opening it.

    template<
        typename ExecutionContext>
    basic_readable_pipe(
        ExecutionContext & context,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor creates a pipe without opening it.

###### Parameters

context

  An execution context which provides the I/O executor that the pipe will use, by default, to dispatch handlers for any asynchronous operations performed on the pipe.